#include "HX711.h"

// Pines para cada celda de carga
#define DT1 D4  // Data para la primera celda
#define SCK1 D3 // Clock para la primera celda
#define DT2 D0  // Data para la segunda celda
#define SCK2 D3 // Clock para la segunda celda

HX711 scale1;
HX711 scale2;

// Factores de escala (ajusta estos valores según la calibración)
float scale_factor1 = -26730; // Ajusta con un peso conocido
float scale_factor2 = -26634; // Ajusta con un peso conocido

void setup() {
    Serial.begin(115200);
    
    // Inicializar las celdas de carga
    scale1.begin(DT1, SCK1);
    scale2.begin(DT2, SCK2);
    
    // Calibración de tara (ajustar a cero sin carga)
    scale1.tare();
    scale2.tare();

    Serial.println("Listo para medir...");
}

void loop() {
    // Leer valores brutos
    float raw1 = scale1.get_units(10);
    float raw2 = scale2.get_units(10);
    
    // Aplicar el factor de escala
    float weight1 = raw1 / scale_factor1;
    float weight2 = raw2 / scale_factor2;
    
    // Mostrar en Serial Monitor
    Serial.print("Celda 1: ");
    Serial.print(weight1, 2); // 2 decimales
    Serial.print(" kg | Celda 2: ");
    Serial.print(weight2, 2);
    Serial.println(" kg");

    delay(500); // Pequeña pausa antes de la siguiente lectura
}